Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86095 - gcc internal error when compiling C file with large statically initialized array.
Summary: gcc internal error when compiling C file with large statically initialized ar...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc3
Version: 8.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-13 21:19 UTC by Keith Slavin
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-24 14:30:36 UTC


Attachments (Terms of Use)

Description Keith Slavin 2003-03-13 21:19:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I compiled a very large (generated) C file with very little except
a very large statically initialized array of structs. Mostly it gives the
message below, but sometimes it compiles.

gcc temp.c -c -o temp.o
../c_intermediates/cda_cache.c: In function `AF_CDA_Cache':
../c_intermediates/cda_cache.c:506993: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.


I can email the preprocessed and compressed .c file (4,596,187 bytes AFTER
compression) by request.

Version-Release number of selected component (if applicable):
gcc 3.2

How reproducible:
Sometimes

Steps to Reproduce:
1. Get temp.c.gz file from me
2. unzip temp.c,gz
3. gcc temp.c -c -o temp.o


Actual Results:  ../c_intermediates/cda_cache.c: In function `AF_CDA_Cache':
../c_intermediates/cda_cache.c:506993: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.


Expected Results:  It should have produced a temp.o file with no internal error.


Additional info:

Running 1GHz athalon system, 1GByte RAM, Red Hat Linux 8.0
gcc version 3.2

error message:

../c_intermediates/cda_cache.c: In function `AF_CDA_Cache':
../c_intermediates/cda_cache.c:506993: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.

Comment 1 Richard Henderson 2004-10-03 12:54:38 UTC
If you've still got the test case, yes please do attach it.

Comment 2 Jakub Jelinek 2004-11-24 14:30:36 UTC
Please reopen if you have one.


Note You need to log in before you can comment on or make changes to this bug.